<?php
include "scrinit.php";
include "logo.php";
?>

<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>Δήλωση Δραστηριότητας</title>
<script src="http://ajax.googleapis.com/ajax/libs/jquery/1.11.0/jquery.min.js"></script>
<script type="text/javascript" src="http://code.jquery.com/jquery-1.9.1.min.js"></script>

<style type="text/css">
table.myTable { border-collapse:collapse;table-layout: auto; }
table.myTable td, table.myTable th { border:1px solid green;padding:2px;font-size:12pt;width: auto; }
<p style="font-size:10px;"></p>
</style>
</head>

<body>
<?php
require "dbconnect.php"; 
$dt=$_SESSION['dt'];

if ($dt > '2018-11-30 11:59:00') 
{ 
?>
<h2> ΤΟ ΣΥΣΤΗΜΑ ΕΠΙΛΟΓΗΣ ΣΕΜΙΝΑΡΙΩΝ ΕΧΕΙ ΑΠΕΝΕΡΓΟΠΟΙΗΘΕΙ </h2>
<?php
}
else
{
$name = $_SESSION['n'];
$mitroo=$_SESSION['usr'];
$sql=mysqli_query($con,"SELECT tmima FROM allstudentinfo where mitroo='$mitroo' and tmima like 'Α%' " );
if (mysqli_num_rows($sql) > 0)
{	
?>
<h3>ΔΗΛΩΣΗ ΕΝΔΙΑΦΕΡΟΝΤΟΣ ΓΙΑ ΣΕΜΙΝΑΡΙΑ</h3>
<textarea rows="6" cols="100" >
Να επιλέξετε τέσσερα (4) σεμινάρια τα οποία θα θέλατε να παρακολουθήσετε στο
διήμερο ενημέρωσης επαγγελμάτων. Αν δεν σας ικανοποιούν οι επιλογές να υποβάλετε
εισήγηση για ένα δικό σας θέμα στο τέλος του πίνακα αλλά να επιλέξετε και τρείς από
τις υφιστάμενες επιλογές. Να δηλώσετε με σειρά 1-4 την σειρα προτίμησης για κάθε σεμινάριο.
Η δηλώσεις ενδιαφέροντος θα κλείσουν την Παρασκευή, 23-11-18.
</textarea>
<?php

$omc=array();
echo "<br>"; 
echo "<br>"."ΜΑΘΗΤΗΣ/ΤΡΙΑ : "."<b>".$name."</b>"."<br>";
echo "ΗΜΕΡΟΜΗΝΙΑ:".$dt;
echo "<br>"; 

$sql=mysqli_query($con,"SELECT * FROM seminaria" );
$c=mysqli_num_rows($sql);
$sql1=mysqli_query($con,"select * from dilosisem where mitroo='$mitroo' ");
If (mysqli_num_rows($sql1) > 0)
{
	$omc=array();
	while($row1 = mysqli_fetch_array($sql1))
	{
			$omc[$row1['sira']]=$row1['semcode'];
			$orders[$row1['semcode']]=$row1['sira'];
	}		
 }

?>
<form method="POST"  >
 
<?php
echo "<table class='myTable' >
<tr style='border:1px solid black' bgcolor='#adcd82'  >
<th>ΚΩΔ.</th>
<th>ΘΕΜΑ ΣΕΜΙΝΑΡΙΟΥ</th>
<th>ΕΠΙΛΟΓΗ</th>
<th>ΣΕΙΡΑ ΠΡΟΤ.</th>";
$i=0;
while($row = mysqli_fetch_array($sql))
{
	$i++;
	$codex[$i]=$row['semcode'];  
  	$sem=$row['semname'];
	$s1="";
	$ordx = array_search($codex[$i],$omc); 
	if(($ordx = array_search($codex[$i],$omc)) != NULL)
	{
		$s1='checked';
	}		
	 echo "<tr>";
	 echo "<td>".$codex[$i]. "</td>";
	 echo "<td>".$sem."</td>";
	 echo "<td >";
	 ?><input type='checkbox'  name='dilosi[]' value=<?php echo $codex[$i];?> <?php echo $s1;?> ><?php
	 echo "</td >";
	 echo "<td >";
	 ?><input type='text'  name='dilord[]' size ="4" value=<?php echo $ordx;?> ><?php
	 echo "</td >";
	 echo "</tr>"; 
}

	echo "<tr>";
	$coden=$codex[$i]+1;
	echo "<td >". "<input type='text'  name='coden' value='$coden' size='4'  >" ."</td>";
	echo "<td >". "<input type='text'  name='semx'  size='50'>" ."</td>";
	echo "<td >". "<input type='checkbox'  name='dilosi[]' value='$coden'  >" ."</td>";
	echo "<td >". "<input type='text'  name='dilord[]' size='4' >" ."</td>";
	echo "</tr>";
	echo "<input type='hidden'  name='code' value='$codex[$i]'  >";
echo "</table>";
?>

<br />
<input type="Submit"  name="subsem" value="Καταχώρηση Επιλογής Σεμιναρίου">
</form>
<?php
if (isset($_POST['subsem'])) 
{
   $semc=$_POST['dilosi'];
   $dilord=$_POST['dilord'];
   $dilordn=array_filter($_POST['dilord']);
   $dilu=array_unique($dilordn);
   $u=count($dilu);
   $semx=$_POST['semx'];
   $coden=$_POST['coden'];
   $code=$_POST['code'];
   if (empty($semx)) $coden=$code;
   $c=count($semc);
   $ng=0;
   if ($c > 4 or $u <> 4) $ng=1;
   if ($c < 4  and  $coden == $codex) $ng=1;
   if ($c < 4  and  $coden > $codex) $ng=0;
   if  ($c==4 and $u==4 and max($dilu)==4) $ng=0;
   if ($ng==1)
   {
		echo "<br>";
		echo "Η ΔΗΛΩΣΗ ΗΤΑΝ ΑΝΕΠΙΤΥΧΗΣ - ΔΕΝ ΕΠΕΛΕΞΕΣ ΟΜΙΛΟΥΣ"."<br>";
		echo "<br>";  
   }
   else
   {
	    mysqli_query($con,"delete from dilosisem where mitroo='$mitroo'");
		foreach($semc as $dil)
		{
			$ordy=$dilord[$dil-1];
			$sql="INSERT INTO dilosisem (mitroo, semcode, sira) VALUES ('$mitroo','$dil','$ordy') "; 
			if (!mysqli_query($con,$sql)) 
	        {
		      echo mysqli_error($con); 
	        }
			
		}
		echo "Η ΔΗΛΩΣΗ ΚΑΤΑΧΩΡΗΘΗΚΕ ΜΕ ΕΠΙΤΥΧΙΑ"."<br>";  
	  
	    if ($coden > $code)
	    {
		  $sql="INSERT INTO seminaria (semcode, semname,plithos) 
		        VALUES ('$coden','$semx',0 ) ";
		  if (!mysqli_query($con,$sql)) 
	      {
		      echo mysqli_error($con); 
	      } 
		   $sql="INSERT INTO dilosisem (mitroo, semcode) VALUES ($mitroo,'$coden' ) ";
		   if (!mysqli_query($con,$sql)) 
	       {
		      echo mysqli_error($con); 
	       }
		  echo "<br>";
		  echo "Η ΔΗΛΩΣΗ ΚΑΤΑΧΩΡΗΘΗΚΕ ΜΕ ΕΠΙΤΥΧΙΑ"."<br>";
		  echo "<br>";
	    }
		  
		  //echo "ΕΧΕΤΕ ΔΗΛΩΣΕΙ ΣΥΜΜΕΤΟΧΗ ΣΤΟΝ ΟΜΙΛΟ :".$coden." - "."<b>".$semx."</b>"; 
		  
		   
	}
	  
		  
	  
}
 }
 
else
{
	echo "ΙΣΧΥΕΙ ΜΟΝΟ ΓΙΑ Α΄ ΛΥΚΕΙΟΥ";
}
}	
 ?>
<br /><br />
<a  href=<?php echo $menu;?> style="background-color: #819FF7;font-weight: bold; color: #ffffff;padding:4px;text-decoration:none"  >  Επιστροφή στο Μενού  </a>

</body>
</html>